# -*- encoding: utf-8 -*-

from django.contrib import admin

from .models import Subscription, SubscriptionChannel, TrackedContent


@admin.register(Subscription)
class SubscriptionAdmin(admin.ModelAdmin):
    list_display = [
        "uuid", "name", "rss_url", "server",
        "creation_datetime"
    ]


@admin.register(SubscriptionChannel)
class SubscriptionAdmin(admin.ModelAdmin):
    list_display = [
        "uuid", "id", "subscription", "creation_datetime"
    ]


@admin.register(TrackedContent)
class TrackedContentAdmin(admin.ModelAdmin):
    list_display = [
        "uuid", "content_url", "subscription",
        "creation_datetime"
    ]
    